﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GridSample.aspx.cs" Inherits="TestGridData.GridSample" %>

<%@ Register Assembly="Syncfusion.Shared.Web, Version=12.1400.0.43, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Web.UI.WebControls.Shared" TagPrefix="syncfusion" %>

<%@ Register Assembly="Syncfusion.Grid.Grouping.Web, Version=12.1400.0.43, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping" TagPrefix="syncfusion" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePartialRendering="True">
    </asp:ScriptManager>

    <asp:Button ID="Button1" runat="server" Text="load Testdata" 
        onclick="Button1_Click" />

    <asp:UpdatePanel ID="UpdatePanel_Label1" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <asp:Label ID="Label1" runat="server" Text=""></asp:Label>
        </ContentTemplate>
    </asp:UpdatePanel>

    <br />

    <asp:UpdatePanel ID="UpdatePanel_ggc" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <div id="gridContent" runat="server">
            
            </div>
            <syncfusion:GridGroupingControl ID="ggc" runat="server" AutoFormat="Office 2007 Blue" AutoSaveChildControlChanges="True" 
                BorderCollapse="Separate" DragSelectionBackColor="Yellow" BorderStyle="Solid" BorderWidth="1px" 
                EnableCallbacks="False" GroupDropAreaText="Drag columns here" 
                PageSize="5" SaveEmpty="True" ShowWaitingPopupOnPostBack="True"
                DataSourceCachingMode="ViewState" Font-Names="Arial" Font-Size="Medium" FrozenColumns="3"
                ShowGroupDropArea="False" Width="100%" Visible="False">

                <TableDescriptor GroupExpandImage="" AllowEdit="False" AllowNew="False">
                           
                </TableDescriptor>
                <Appearance>
                    <RecordPreviewCell CssClass="GridOffice2007BlueRecordPreview" />
                    <GroupHeaderRowHeaderCell CssClass="GridOffice2007BlueGroupedColumnHeaders" />
                    <ColumnHeaderCell CssClass="GridOffice2007BlueColumnHeaders" />
                    <TopLeftHeaderCell CssClass="GridOffice2007BlueTopLeftHeaderCell" />
                    <RowHeaderCell CssClass="GridOffice2007BlueRowHeaders" />
                    <AnyRecordFieldCell CssClass="GridOffice2007BlueAnyRecord" />
                    <AlternateRecordFieldCell CssClass="GridOffice2007BlueAlternateRecord" />
                    <GroupIndentCell CssClass="GridOffice2007BlueGroupIndentCell" />
                    <GroupCaptionCell CssClass="GridOffice2007BlueGroupCaption" />
                    <GroupCaptionPlusMinusCell CssClass="GridOffice2007BluePlusMinus" />
                    <FilterBarCell CssClass="GridOffice2007BlueFilterBarCell" />
                    <AnySummaryCell CssClass="GridOffice2007BlueAnySummary" />
                </Appearance>

                <ChildGroupOptions AllowExpressionFilter="False" ShowFilterStatusMessage="False" FilterStatusBarWidth="450">
                </ChildGroupOptions>

                <TopLevelGroupOptions AllowExpressionFilter="False" ShowFilterStatusMessage="False" FilterStatusBarWidth="450">
                </TopLevelGroupOptions>

                <NestedTableGroupOptions AllowExpressionFilter="False" ShowFilterStatusMessage="False" FilterStatusBarWidth="450">
                </NestedTableGroupOptions>

                <PageManager EnableOnDemandPaging="False" TotalRecordsCount="5">
                </PageManager>
            </syncfusion:GridGroupingControl>


            <asp:Panel ID="Panel_Pager" runat="server" 
                meta:resourcekey="Panel_PagerResource1">
                <syncfusion:GridPager ID="GridPager1" runat="server" PageSize="10"
                    PagingControlID="ggc" Skin="Office2007Blue" Visible="False">
                    <PagerItems>
                        <syncfusion:NextPreviousGridPagerItem FirstPageText="|&lt;" 
                            PreviousPageText="&lt;" LastPageText="&gt;|" NextPageText="&gt;" 
                            ShowFirstPageButton="True" ShowLastPageButton="False" ShowNextPageButton="False" 
                            ShowPreviousPageButton="True" Visible="True" ButtonType="Link" 
                            FirstPageImageUrl="" LastPageImageUrl="" NextPageImageUrl="" 
                            PreviousPageImageUrl="" />
                        <syncfusion:NumericGridPagerItem ButtonCount="10" Visible="True" 
                            NextPageImageUrl="" NextPageText="..." NextPreviousLinkCssClass="" 
                            PreviousPageImageUrl="" PreviousPageText="..." />
                        <syncfusion:NextPreviousGridPagerItem LastPageText="&gt;|" NextPageText="&gt;" 
                            FirstPageText="|&lt;" PreviousPageText="&lt;" ShowFirstPageButton="False" 
                            ShowLastPageButton="True" ShowNextPageButton="True" 
                            ShowPreviousPageButton="False" Visible="True" ButtonType="Link" 
                            FirstPageImageUrl="" LastPageImageUrl="" NextPageImageUrl="" 
                            PreviousPageImageUrl="" />
                     </PagerItems>
                </syncfusion:GridPager>
            </asp:Panel>

        </ContentTemplate>
    </asp:UpdatePanel>
    </div>
    </form>
</body>
</html>
